Get overlay Connectivities for Pipe or Connectivity.
get
/layeredview/pipes/{id}
Get overlay Connectivities for the Pipe or Connectivity with given id, offset and limit.
Request
Path Parameters
-
id(required): string
The ID of the Pipe or Connectivity to get Overlay for.Examples
Query Parameters
-
limit: integer
Restricts the number of results returned.Default Value:
25Example:10 -
offset: integer
Specifies the number of results to skip before starting to return.Default Value:
0Example:0 -
sortBy: string
Field to sort by. Available options - id, connectivityidentifier, adminstate, aendlocation, zendlocation, bitrate, aendlogicaldevicename, zendlogicaldevicenameAllowed Values:
[ "id", "connectivityidentifier", "adminstate", "aendlocation", "zendlocation", "bitrate", "aendlogicaldevicename", "zendlogicaldevicename" ] -
sortOrder: string
Sort order (asc for ascending, desc for descending)Default Value:
ascAllowed Values:[ "asc", "desc" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The Pipe Overlay returned successfully.
Headers
-
X-TOTAL-COUNT:
Total number of available records
Root Schema : PipeResponse
Type:
objectOuter response model containing sorted pipe/connectivity data
Show Source
Example:
{
"pipes":[
{
"id":"31-462313",
"entityId":"13664043",
"connectivityIdentifier":"CHNN01TN.P01 / CHNN03TN.P01 / VC4 / VC4 / 1",
"adminState":"INSTALLED",
"aEndLocation":"CHNN01TN",
"zEndLocation":"CHNN03TN",
"bitRate":"150.336 Mbps",
"aEndLogicalDeviceId":"225001",
"aEndLogicalDeviceName":"CHNN01TN.P01",
"zEndLogicalDeviceId":"225003",
"zEndLogicalDeviceName":"CHNN03TN.P01",
"businessObjectType":"18",
"trailPaths":1
},
{
"id":"31-600001",
"entityId":"15075003",
"connectivityIdentifier":"CHNN01TN.P01 / CHNN03TN.P01 / VC4 / VC4 / 2",
"adminState":"INSTALLED",
"aEndLocation":"CHNN01TN",
"zEndLocation":"CHNN03TN",
"bitRate":"150.336 Mbps",
"aEndLogicalDeviceId":"225001",
"aEndLogicalDeviceName":"CHNN01TN.P01",
"zEndLogicalDeviceId":"225003",
"zEndLogicalDeviceName":"CHNN03TN.P01",
"businessObjectType":"18",
"trailPaths":1
}
]
}Nested Schema : pipes
Type:
Show Source
array-
Array of:
object ConnectivityDetails
Individual Connectivity/Pipe Details Type
Nested Schema : ConnectivityDetails
Type:
objectIndividual Connectivity/Pipe Details Type
Show Source
-
adminState: string
Admin State
-
aEndLocation: string
A Side Network / Service location
-
aEndLogicalDeviceId: string
A End Logical Device Id
-
aEndLogicalDeviceName: string
A End Logical Device name
-
bitRate: string
Bit rate
-
businessObjectType: string
Business object type identifier
-
connectivityIdentifier: string
Connectivity name/identifier
-
entityId: string
Entity identifier
-
id: string
Pipe or Connectivity Id
-
name: string
Pipe name
-
trailPaths: number
Number of trail paths for this Pipe/Connectivity.
-
zEndLocation: string
Z Side Network / Service location
-
zEndLogicalDeviceId: string
Z End Logical Device Id
-
zEndLogicalDeviceName: string
Z End Logical Device name
Examples
400 Response
The request isn't valid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
404 Response
Paths are not found.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source